> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Glide API Changelog

### June 18, 2025

* Added `GET /tables/{tableID}/rows/{rowID}` endpoint to retrieve a specific row by ID.

### May 19, 2025

* When creating a table with the `POST /tables` endpoint, you can now specify one or more apps to link the new table to.

### April 1, 2025

* Clarified that the version supplied in the `If-Match` header is compared against the row version, not the table version, in the Update Row endpoint.
* Added HTTP 412 Precondition Failed as a possible error for endpoints that accept an `If-Match` header.

### December 13, 2024

* Clarified that endpoints return row IDs in the same order as the input rows.
* Clarified the requirements for row data to match the table's schema and what happens if it doesn't.

### November 26, 2024

* Added a warning that using the `PUT /tables` endpoint to overwrite a table will clear user-specific columns.

### November 21, 2024

* Introduced `HEAD /tables/{tableID}/rows` endpoint to retrieve the current version of table data via `ETag` header.
* Added support for the `If-Match` header to the Overwrite Table and Update Row endpoints.
* Introduced a new Data Versioning guide.

### November 11, 2024

* Added `GET /tables/{tableID}/rows` endpoint to retrieve rows from a specified table with pagination.

### November 6, 2024

* Added a DELETE endpoint to remove a row.

### October 25, 2024

* Introduced a PATCH endpoint to update an existing row.
* `$stashID` is now a reserved column ID.

### October 21, 2024

* Expanded the "type" enumeration for column definitions to include `imageURI`, `audioURI`, `markdown`, `phoneNumber`, `emailAddress`, `emoji`, `date`, `time`, and `duration`, in addition to the existing types and arrays of those values.

### October 4, 2024

* The `schema` field is now optional for the Create Table and Overwrite Table endpoints.
* The Create Table and Overwrite Table endpoints now additionally accept a bare JSON array of rows.

### September 18, 2024

* Endpoints that receive tabular data can now accept CSV and TSV request bodies.

### September 13, 2024

* Introduced a new "Limits" document that outlines rate and operational limits for the API.
* Updated guidelines for when to use stashing in line with the new doc.
* Fixed the Bulk Import tutorial to use PUT instead of POST for the Stash Data endpoint.

### September 4, 2024

* Removed "json" as a valid data type in column schemas for now.

### August 28, 2024

* Users should now use the PUT method instead of POST for `/stashes/{stashID}/{serial}` to set the content of a chunk in a stash.
* Clarified that if a chunk is uploaded with an existing serial, its data will be overwritten.
* Documented the new format requirements for `stashID` and `serial`.

### August 23, 2024

* The `POST /tables` endpoint now returns HTTP status 201 on success instead of 200.
* The `POST /tables/{tableID}/rows` endpoint now returns HTTP status 201 on success instead of 200.

### August 2, 2024

* Add [delete stash](/api-reference/v2/stashing/delete-stash) endpoint documentation

### July 29, 2024

* Remove the `rows` wrapper element from stashing docs
* Add `type` to error responses

### July 24, 2024

* Update docs to reflect new production `api.glideapps.com` domain and removal of `/api` in request paths

### July 12, 2024

* Remove the `rows` wrapper element from the request body for the `/tables/{tableId}` endpoint

### July 9, 2024

* Initial release of the Glide API v2 documentation
* Support for creating, overwriting tables
* Support for adding rows to tables
* Support for stashing large datasets
